package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh.service;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;

import javax.servlet.http.HttpServletRequest;

/**
 * @Auther jianggang
 * @Date 2019/6/11 09:41:52
 * @Description
 */
public interface TelecomOnlineStatusService {

    /**
     * 电信在网状态查询
     * @param channelId 通道id
     * @param ifJkCode 返回码类型
     * @param outTime 超时时间
     * @param customBody 查询参数
     * @return 返回转码之后的结果
     */
    ChannelTypeHandleResponseObject callTelecomOnlineStatus(HttpServletRequest request,
                                                            String channelId,
                                                            String ifJkCode,
                                                            Integer outTime,
                                                            String customBody);
}
