package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh.task;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.AsyncResult;
import org.springframework.stereotype.Component;

import java.util.concurrent.Future;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Component
public class AsyncDelayTask {
    @Value("${thread.delayedTime}")
    private Long delayedTime;
    @Async
    public Future<String> doDelay() throws InterruptedException {
        int random=(int)(Math.random()*200);
        Thread.sleep(delayedTime + random);
        return new AsyncResult<>("延时任务完成");
    }
}
