package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh.utils;

import java.util.Map;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import lombok.Data;

@Data
@Component
@ConfigurationProperties(prefix = "foreigninvest")
public class ForeignInvestProperties {
	 private String url;
	 private String apiKey;
	 private String apiSecret;
	 private String username;
	 private Map<Integer,String> code;
	 private Map<Integer,String> desc;
}
